List all model routes - Barndoor Documentation
List all model routes
cURL
curl --request GET \
--url https://app.barndoor.ai/api/llm-gateway/admin/model-mappings \
--header 'Authorization: Bearer <token>'
import requests
url = "https://app.barndoor.ai/api/llm-gateway/admin/model-mappings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.barndoor.ai/api/llm-gateway/admin/model-mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.barndoor.ai/api/llm-gateway/admin/model-mappings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
?>
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.barndoor.ai/api/llm-gateway/admin/model-mappings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.get("https://app.barndoor.ai/api/llm-gateway/admin/model-mappings")
.header("Authorization", "Bearer <token>")
.asString();
require 'uri'
require 'net/http'
url = URI("https://app.barndoor.ai/api/llm-gateway/admin/model-mappings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
Response
200 - application/json
List of routes:
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_alias": "gpt-4o-mini",
"upstream_model": "gpt-4o-mini-2024-07-18",
"enabled": true,
"priority": 123,
"retry_on_429_count": 5,
"retry_on_429_max_wait_secs": 90,
"bare_alias": true,
"provider_name": "<string>",
"stream_idle_timeout_secs": 900,
"max_concurrent_requests": 5000,
"request_timeout_secs": 1800,
"budget_status": {
"scope": "org",
"target_id": "<string>",
"budget_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"budget_name": "<string>",
"period": "monthly",
"usage": 123,
"limit": 123
}
}
]
Authorizations
Authorization
Type: string
Location: header
Required: Yes
JWT obtained through Barndoor's authentication flow. Pass the token verbatim in Authorization: Bearer <token>. Use the Barndoor SDK's loginInteractive() helper to obtain a token in scripts and notebooks.